Page MenuHomePhabricator

[EPIC] Growth: Understanding first day
Closed, ResolvedPublic

Description

This epic contains all tasks related to the "Understanding first day" idea pursued by the Growth team. See here for a brief summary and community discussion of this idea.

Problem

Most new users who create accounts do not ever make edits. We do not have any knowledge of what they do during the time they are logged in -- whether they read help content, attempt edits that they do not publish, or something else. Knowing more about these initial sessions could help us make the experience better.

Potential solution

Implement instrumentation to the software so that we gather data about what new editors do shortly after creating their accounts. The team would be careful to apply appropriate privacy policies here to protect users, which can include aggregating, anonymizing, and purging the data.

Issues

  • This would not change the experience of editors at all; it would only be gathering data for research purposes.
  • We would be careful to respect user privacy and our data policies.

Post-discussion summary

It seems that there is unanimous agreement that this information would be valuable to know, and also unanimous importance placed on being careful with privacy around this data. We'll also need to look into the instrumentation that already exists on Visual Editor usage, to see what we can use for our team's purposes.

Related Objects

StatusAssignedTask
ResolvedMMiller_WMF
ResolvedMMiller_WMF
ResolvedMMiller_WMF
Resolvednettrom_WMF
ResolvedRHo
Resolvednettrom_WMF
ResolvedCatrope
Resolvednettrom_WMF
Resolvednettrom_WMF
ResolvedCatrope
Opennettrom_WMF
Resolvedkostajh
Resolvedkostajh
Declinedkostajh
Resolvednettrom_WMF
ResolvedCatrope
ResolvedMMiller_WMF
ResolvedMMiller_WMF
Resolvedkzimmerman
Resolvednettrom_WMF
ResolvedEtonkovidova
ResolvedOttomata
Resolvedkostajh
ResolvedCatrope
Resolvedkostajh
ResolvedTrizek-WMF
ResolvedUrbanecm
ResolvedTrizek-WMF
Opennettrom_WMF
ResolvedDLynch
ResolvedDLynch
ResolvedNeil_P._Quinn_WMF
ResolvedJTannerWMF
Resolvedkostajh
ResolvedNone
Resolvednettrom_WMF
Resolvedkostajh
ResolvedNone
Declinednettrom_WMF
Resolvedkostajh
Opennettrom_WMF
Opennettrom_WMF

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2018, 10:36 PM
JTannerWMF moved this task from Inbox to FY 2019-20 on the Growth-Team board.Oct 1 2018, 3:18 PM
JTannerWMF moved this task from FY 2019-20 to Q2 2019-20 on the Growth-Team board.Jan 3 2019, 3:54 PM
MMiller_WMF closed this task as Resolved.Apr 23 2019, 8:11 PM

Although a handful of research tasks under this epic are still open, I am resolving the epic because our team is essentially finished working on this project. Going forward, the only things we are likely to do are:

  • Deploy it on more wikis.
  • Remove it from wikis that no longer need it.
  • Produce analysis from the data it records.
  • Fix any bugs.